<?php

$prefix = 'ozellikler_'; 

$meta_box = array( 
    'id' => 'my-meta-box', 
    'title' => 'MANŞET AYARLARI', 
    'page' => 'post', 
    'context' => 'normal', 
    'priority' => 'high', 
    'fields' => array( 

array( 
'name' => 'Manşet Haberlerde Görünsün mü? <p style="font-size: 10px; color: #919191;">( Anasayfa ve Konu İçinde Bulunan Manşet Alanı ) <a style="font-size: 10px;" href="http://thewp.gen.tr/haberSatis/ornek4.jpg" alt="EKRAN GÖRÜNTÜSÜ İÇİN TIKLAYIN" target="_blank">ÖRNEK</a></p>', 
'id' => $prefix . 'manset', 
'type' => 'checkbox' 
),
array( 
'name' => 'Spor Kategorisi Manşet Haberlerde Görünsün mü? <p style="font-size: 10px; color: #919191;">( Sitenin En Üst Tarafında Yer Alan Haberler ) <a style="font-size: 10px;" href="http://thewp.gen.tr/haberSatis/ornek2.jpg" alt="EKRAN GÖRÜNTÜSÜ İÇİN TIKLAYIN" target="_blank">ÖRNEK</a></p>', 
'id' => $prefix . 'spormanset', 
'type' => 'checkbox' 
),
array( 
'name' => 'Sürmanşet Haberlerde Görünsün mü? <p style="font-size: 10px; color: #919191;">( Üst Menü Altında Yer Alan Sabit Haberler ) <a style="font-size: 10px;" href="http://thewp.gen.tr/haberSatis/ornek1.jpg" alt="EKRAN GÖRÜNTÜSÜ İÇİN TIKLAYIN" target="_blank">ÖRNEK</a></p>', 
'id' => $prefix . 'surmanset', 
'type' => 'checkbox' 
),
array( 
'name' => 'Sürmanşet 2 Haberlerde Görünsün mü? <p style="font-size: 10px; color: #919191;">( Üst Menü Altında Yer Alan Hareketli Haberler ) <a style="font-size: 10px;" href="http://thewp.gen.tr/haberSatis/ornek3.jpg" alt="EKRAN GÖRÜNTÜSÜ İÇİN TIKLAYIN" target="_blank">ÖRNEK</a></p>', 
'id' => $prefix . 'surmanset2', 
'type' => 'checkbox' 
),
array( 
'name' => 'Yatay Manşet Haberlerde Görünsün mü? <p style="font-size: 10px; color: #919191;">( 980px Genişliğinde 200px Yüksekliğinde ) <a style="font-size: 10px;" href="http://thewp.gen.tr/haberSatis/ornek5.jpg" alt="EKRAN GÖRÜNTÜSÜ İÇİN TIKLAYIN" target="_blank">ÖRNEK</a></p>', 
'id' => $prefix . 'yatayManset', 
'type' => 'checkbox' 
),
array( 
'name' => 'Son Dakika Haberlerinde Görünsün Mü? <p style="font-size: 10px; color: #919191;">( Sitenin En Üst Tarafında Yer Alan Haberler ) <a style="font-size: 10px;" href="http://thewp.gen.tr/haberSatis/ornek2.jpg" alt="EKRAN GÖRÜNTÜSÜ İÇİN TIKLAYIN" target="_blank">ÖRNEK</a></p>', 
'id' => $prefix . 'sondk', 
'type' => 'checkbox' 
),
    ) 
); 

add_action('admin_menu', 'mytheme_add_box'); 

// Add meta box 
function mytheme_add_box() { 
    global $meta_box; 
     
    add_meta_box($meta_box['id'], $meta_box['title'], 'mytheme_show_box', $meta_box['page'], $meta_box['context'], $meta_box['priority']); 
} 

// Callback function to show fields in meta box 
function mytheme_show_box() { 
    global $meta_box, $post; 
     
    // Use nonce for verification 
    echo '<input type="hidden" name="mytheme_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />'; 
     
    echo '<table class="form-table">'; 

    foreach ($meta_box['fields'] as $field) { 
        // get current post meta data 
        $meta = get_post_meta($post->ID, $field['id'], true); 
         
        echo '<tr style="float: left; margin-right: 10px; width: 48%;">', 
                '<th style="width:350px;"><label for="', $field['id'], '">', $field['name'], '</label></th>', 
                '<td>'; 
        switch ($field['type']) { 
            case 'text': 
                echo '<input type="text" name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : $field['std'], '" size="30" style="width:97%" />', 
                    '<br />', $field['desc']; 
                break; 
            case 'textarea': 
                echo '<textarea name="', $field['id'], '" id="', $field['id'], '" cols="60" rows="4" style="width:97%">', $meta ? $meta : $field['std'], '</textarea>', 
                    '<br />', $field['desc']; 
                break; 
            case 'select': 
                echo '<select name="', $field['id'], '" id="', $field['id'], '">'; 
                foreach ($field['options'] as $option) { 
                    echo '<option', $meta == $option ? ' selected="selected"' : '', '>', $option, '</option>'; 
                } 
                echo '</select>'; 
                break; 
            case 'radio': 
                foreach ($field['options'] as $option) { 
                    echo '<input type="radio" name="', $field['id'], '" value="', $option['value'], '"', $meta == $option['value'] ? ' checked="checked"' : '', ' />', $option['name']; 
                } 
                break; 
            case 'checkbox': 
                echo '<input style="margin-top:-35px" type="checkbox" name="', $field['id'], '" id="', $field['id'], '"', $meta ? ' checked="checked"' : '', ' />'; 
                break; 
        } 
        echo     '<td>', 
            '</tr>'; 
    } 
     
    echo '</table>'; 
} 

add_action('save_post', 'mytheme_save_data'); 

// Save data from meta box 
function mytheme_save_data($post_id) { 
    global $meta_box; 
     
    // verify nonce 
    if (!wp_verify_nonce($_POST['mytheme_meta_box_nonce'], basename(__FILE__))) { 
        return $post_id; 
    } 

    // check autosave 
    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) { 
        return $post_id; 
    } 

    // check permissions 
    if ('page' == $_POST['post_type']) { 
        if (!current_user_can('edit_page', $post_id)) { 
            return $post_id; 
        } 
    } elseif (!current_user_can('edit_post', $post_id)) { 
        return $post_id; 
    } 
     
    foreach ($meta_box['fields'] as $field) { 
        $old = get_post_meta($post_id, $field['id'], true); 
        $new = $_POST[$field['id']]; 
         
        if ($new && $new != $old) { 
            update_post_meta($post_id, $field['id'], $new); 
        } elseif ('' == $new && $old) { 
            delete_post_meta($post_id, $field['id'], $old); 
        } 
    } 
}  

if(function_exists("register_field_group"))
{
	register_field_group(array (
		'id' => 'acf_manset-resim',
		'title' => 'Manşet Resim',
		'fields' => array (
			array (
				'key' => 'field_55939a6198477',
				'label' => 'Manset Resim (980x200)',
				'name' => 'ozellikler_resim',
				'type' => 'image',
				'save_format' => 'id',
				'preview_size' => '980x200Manset',
				'library' => 'all',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'post',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'side',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
}
?>