<?php


add_action('init','of_options');

if (!function_exists('of_options')) {
function of_options(){

//Theme Shortname
$orta = "orta";
$ymenu = "ymenu";
$galeri = "galeri";
$kate = "kate";


//Populate the options array
global $tt_options;
$tt_options = get_option('of_options');


//Access the WordPress Pages via an Array
$tt_pages = array();
$tt_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($tt_pages_obj as $tt_page) {
$tt_pages[$tt_page->ID] = $tt_page->post_name; }
$tt_pages_tmp = array_unshift($tt_pages, "Sayfa Seçin:"); 


//Access the WordPress Categories via an Array
$tt_categories = array();  
$tt_categories_obj = get_categories('hide_empty=0');
foreach ($tt_categories_obj as $tt_cat) {
$tt_categories[$tt_cat->cat_ID] = $tt_cat->cat_name;}
$categories_tmp = array_unshift($tt_categories, "Kategori Seçin:");


//Sample Array for demo purposes
$sample_array = array("1","2","3","4","5");


//Sample Advanced Array - The actual value differs from what the user sees
$sample_advanced_array = array("image" => "The Image","post" => "The Post"); 


//Folder Paths for "type" => "images"
$sampleurl =  get_template_directory_uri() . '/cufon/';






/*-----------------------------------------------------------------------------------*/
/* Create The Custom Site Options Panel
/*-----------------------------------------------------------------------------------*/
$options = array(); // do not delete this line - sky will fall




/* Option Page 1 - All Options */			
			
$options[] = array( "name" => __('Site Genel Ayarları','framework_localize'),
			"type" => "heading");	

$options[] = array( "name" => __('Site Logosu','framework_localize'),
			"desc" => __('Site Logonuzu Seçip Yükleyiniz..','framework_localize'),
			"id" => "logoUrl",
			"std" => "",
			"type" => "upload");
		
$options[] = array( "name" => __('Google Analytics','framework_localize'),
			"desc" => __('Footera eklenen bu kod sayesinde google üzerinden sitenizin istatistiğini takip edebilirsiniz','framework_localize'),
			"id" => "googleAnalitik",
			"std" => "",
			"type" => "textarea");

$options[] = array( "name" => __('Copyright Yazısı','framework_localize'),
			"desc" => __('Footerda yer alan ve siteniz için kısa açıklama girebileceğiniz alan','framework_localize'),
			"id" => "footerCopyright",
			"std" => "",
			"type" => "textarea");
			
$options[] = array( "name" => __('Single Seçiniz','framework_localize'),
			"id" => "singlecek",
			"std" => "deneme",
			"type" => "select",
			"desc" => __('Haber okuma sayfasında kullanmak istediğiniz görünümü seçiniz','framework_localize'),
            "options" => array(
				'SingleNormal' => 'singleNormal',
            	'SingleManset' => 'singleNormal2',
				));

			$options[] = array( "name" => __('EKONOMİ KATEGORİSİNİ SEÇİN','framework_localize'),
			"desc" => __('Ekonomi kategorisi seçilmezse eğer sayfa şablonu çalışmayacaktır','framework_localize'),
			"id" => $kate."1",
			"std" => "1",
			"type" => "kategori");

			$options[] = array( "name" => __('SPOR KATEGORİSİNİ SEÇİN','framework_localize'),
			"desc" => __('Spor kategorisi seçilmezse eğer sayfa şablonu çalışmayacaktır','framework_localize'),
			"id" => $kate."2",
			"std" => "1",
			"type" => "kategori");
			
			$options[] = array( "name" => __('Resim Optimizasyon Eklentisi Kullanılsın mı?','framework_localize'),
			"desc" => __('Web sitenizdeki resimlerin optimize edilmesini istiyorsanız bu alanı işaretleyin. ( Optimize resim kalitesinin %40 kaybolmasına sebep olacaktır. )','framework_localize'),
			"id" => "resimOptimize",
			"std" => "",
			"type" => "checkbox");
			
			$options[] = array( "name" => __('Piyasalarda Son Durum Gösterilsin mi?','framework_localize'),
			"desc" => __('Piyasalarda son durum bandının görünmesini istiyorsanız eğer işaretleyiniz','framework_localize'),
			"id" => "piyasaGoster",
			"std" => "",
			"type" => "checkbox");
			
			$options[] = array( "name" => __('Yan Menüde Hava Durumu Gösterilsin mi?','framework_localize'),
			"desc" => __('Yan menüde hava durumunun yer almasını istiyorsanız eğer işaretleyiniz','framework_localize'),
			"id" => "havaGoster",
			"std" => "",
			"type" => "checkbox");
			
			$options[] = array( "name" => __('Yan Menüde Namaz Saatleri Gösterilsin mi?','framework_localize'),
			"desc" => __('Yan menüde namaz saatlerinin yer almasını istiyorsanız eğer işaretleyiniz','framework_localize'),
			"id" => "namazGoster",
			"std" => "",
			"type" => "checkbox");
			
			$options[] = array( "name" => __('Yan Menüde Günlük Burçlar Gösterilsin mi?','framework_localize'),
			"desc" => __('Yan menüde burç ikonlarının yer almasını istiyorsanız eğer işaretleyiniz','framework_localize'),
			"id" => "sagBurc",
			"std" => "",
			"type" => "checkbox");
			
$options[] = array( "name" => __('WordPress Yorum Alanı Kullanılsın mı?','framework_localize'),
			"desc" => __('Wordpress yorum alanını kullanmak istiyorsanız bu alanı işaretleyin','framework_localize'),
			"id" => "wpyorum",
			"std" => "",
			"type" => "checkbox");
			
$options[] = array( "name" => __('Facebook Yorum Alanı Kullanılsın mı?','framework_localize'),
			"desc" => __('Facebook yorum alanını kullanmak istiyorsanız bu alanı işaretleyin','framework_localize'),
			"id" => "faceyorum",
			"std" => "",
			"type" => "checkbox");
				
$options[] = array( "name" => __('Renk Ayarları','framework_localize'),
			"type" => "heading");		

$options[] = array( "name" => __('Site Arka Planı Renk Ayarı','framework_localize'),
			"desc" => __('Sitenin arka plan rengini buradan değiştirebilirsiniz. Eğer orjinal renk dönmesini istiyorsanız BOŞ BIRAKIN','framework_localize'),
			"id" => "bodyRenk",
			"std" => "",
			"type" => "color");			

$options[] = array( "name" => __('Header Menü Renk Ayarı','framework_localize'),
			"desc" => __('Header Menü Rengini bu alandan değiştirebilirsiniz. Eğer orjinal renk dönmesini istiyorsanız BOŞ BIRAKIN','framework_localize'),
			"id" => "menuRengi",
			"std" => "",
			"type" => "color");		

$options[] = array( "name" => __('Header Menü Hover Renk Ayarı','framework_localize'),
			"desc" => __('Header Menü Hover renk ayarını buradan yapabilirsiniz. Eğer orjinal renk dönmesini istiyorsanız BOŞ BIRAKIN','framework_localize'),
			"id" => "hoverRenk",
			"std" => "",
			"type" => "color");	

$options[] = array( "name" => __('Anasayfa ICON Renk Ayarı','framework_localize'),
			"desc" => __('Header Menüde yer alan Anasayfa ICONunun zemin rengi. Eğer orjinal renk dönmesini istiyorsanız BOŞ BIRAKIN','framework_localize'),
			"id" => "homeRenk",
			"std" => "",
			"type" => "color");	

$options[] = array( "name" => __('Manşet Ayarları','framework_localize'),
			"type" => "heading");
			
			$options[] = array( "name" => __('Sondakika Haberler Görünsün mü?','framework_localize'),
			"desc" => __('Son dakika haber bandının görünmesini istiyorsanız bu alanı işaretleyin','framework_localize'),
			"id" => "sonDkgoster",
			"std" => "",
			"type" => "checkbox");
			
			$options[] = array( "name" => __('Manşet Haberler 1. Görünüm','framework_localize'),
			"desc" => __('Anasayfada sol blokta yer alan numaralı manşet','framework_localize'),
			"id" => "manset1",
			"std" => "",
			"type" => "checkbox");
			
			$options[] = array( "name" => __('Manşet Haberler 2. Görünüm','framework_localize'),
			"desc" => __('Anasayfada sol blokta yer alan resimli manşet','framework_localize'),
			"id" => "manset2",
			"std" => "",
			"type" => "checkbox");
			
			$options[] = array( "name" => __('Yatay Manşet Alanı','framework_localize'),
			"desc" => __('980x200px boyutunda özel manşet alanı','framework_localize'),
			"id" => "mansetYatay",
			"std" => "",
			"type" => "checkbox");
			
			$options[] = array( "name" => __('Sürmanşet 1 ( Hareketsiz )','framework_localize'),
			"desc" => __('Sürmanşet alanı 1 Bu alan hareketsizdir','framework_localize'),
			"id" => "sur2",
			"std" => "",
			"type" => "checkbox");
			
			$options[] = array( "name" => __('Sürmanşet 2 ( Hareketli )','framework_localize'),
			"desc" => __('Sürmanşet alanı 1 Bu alan hareketlidir','framework_localize'),
			"id" => "sur1",
			"std" => "",
			"type" => "checkbox");

$options[] = array( "name" => __('Anasayfa Haber Ayarları','framework_localize'),
			"type" => "heading");		
			
			$options[] = array( "name" => __('Kategori Seçimi 1','framework_localize'),
			"desc" => __('Anasayfada gösterilecek konular için kategori seçimi 1<br/><a href="http://www.thewp.gen.tr/haberPanel/gorunum1.png" title="Ekran Görüntüsü" target="_blank">Ekran Görüntüsü</a>','framework_localize'),
			"id" => $orta."1",
			"std" => "1",
			"type" => "kategori");
			
			$options[] = array( "name" => __('Kategori Seçimi 2','framework_localize'),
			"desc" => __('Anasayfada gösterilecek konular için kategori seçimi 2<br/><a href="http://www.thewp.gen.tr/haberPanel/gorunum2.png" title="Ekran Görüntüsü" target="_blank">Ekran Görüntüsü</a>','framework_localize'),
			"id" => $orta."2",
			"std" => "2",
			"type" => "kategori");
			
			$options[] = array( "name" => __('Kategori Seçimi 3','framework_localize'),
			"desc" => __('Anasayfada gösterilecek konular için kategori seçimi 3<br/><a href="http://www.thewp.gen.tr/haberPanel/gorunum3.png" title="Ekran Görüntüsü" target="_blank">Ekran Görüntüsü</a>','framework_localize'),
			"id" => $orta."3",
			"std" => "3",
			"type" => "kategori");
			
			$options[] = array( "name" => __('* SPOR Kategorisi','framework_localize'),
			"desc" => __('Bu alan spor kategorisi için özel düzenlenmiştir<br/><a href="http://www.thewp.gen.tr/haberPanel/gorunum5.png" title="Ekran Görüntüsü" target="_blank">Ekran Görüntüsü</a>','framework_localize'),
			"id" => $orta."4",
			"std" => "4",
			"type" => "kategori");
			
			$options[] = array( "name" => __('Foto Galeri<br/>Gösterilsin mi?','framework_localize'),
			"desc" => __('Sitede Sağ blokta foto galerinin gösterilmesini istiyorsanız işaretleyin','framework_localize'),
			"id" => "fotoGoster",
			"std" => "",
			"type" => "checkbox");
			
			$options[] = array( "name" => __('Foto Galeri<br/>Kategorisi Seçimi','framework_localize'),
			"desc" => __('Gösterilecek Foto Galeri Kategorisini Seçiniz','framework_localize'),
			"id" => $galeri."1",
			"std" => "1",
			"type" => "kategori");
			
			$options[] = array( "name" => __('Video Galeri<br/>Gösterilsin mi?','framework_localize'),
			"desc" => __('Sitede Sağ blokta ve anasayfada video galerinin gösterilmesini istiyorsanız işaretleyin','framework_localize'),
			"id" => "videoGoster",
			"std" => "",
			"type" => "checkbox");
			
			$options[] = array( "name" => __('Video Galeri<br/>Kategorisi Seçimi','framework_localize'),
			"desc" => __('Gösterilecek Video Galeri Kategorisini Seçiniz','framework_localize'),
			"id" => $galeri."2",
			"std" => "2",
			"type" => "kategori");

$options[] = array( "name" => __('Yan Menü Ayarları','framework_localize'),	"type" => "heading");

			$options[] = array( "name" => __('Yan Menü<br/>Kategori Seçimi 1','framework_localize'),
			"desc" => __('Yan menü 1. sırada yer alan haberlerin kategorisi','framework_localize'),
			"id" => $ymenu."1",
			"std" => "1",
			"type" => "kategori");
			
			$options[] = array( "name" => __('Yan Menü<br/>Kategori Seçimi 2','framework_localize'),
			"desc" => __('Yan menü 2. sırada yer alan haberlerin kategorisi<br/>( ÖNERİ MAGAZİN KATEGORİSİ )','framework_localize'),
			"id" => $ymenu."2",
			"std" => "2",
			"type" => "kategori");
			
			$options[] = array( "name" => __('Yan Menü<br/>Kategori Seçimi 3','framework_localize'),
			"desc" => __('Yan menü 3. sırada yer alan haberlerin kategorisi','framework_localize'),
			"id" => $ymenu."3",
			"std" => "3",
			"type" => "kategori");
			
			$options[] = array( "name" => __('Yan Menü<br/>Kategori Seçimi 4','framework_localize'),
			"desc" => __('Yan menü 4. sırada yer alan haberlerin kategorisi','framework_localize'),
			"id" => $ymenu."4",
			"std" => "4",
			"type" => "kategori");
			
			$options[] = array( "name" => __('Yan Menü Kategori Seçimi','framework_localize'),
			"desc" => __('Yan Menüde Ana manşetin sağında bulunan 10lu haber alanı. ÖNERİ: Yerel Haberler','framework_localize'),
			"id" => $ymenu."6",
			"std" => "6",
			"type" => "kategori");
			
			$options[] = array( "name" => __('Yan Menü İlave Kategori Gösterilsin mi?','framework_localize'),
			"desc" => __('Yan menüde yer almasını istediğiniz ekstra bir kategori varsa buradan çek edip aşağıdan kategorisini seçebilirsiniz','framework_localize'),
			"id" => "ilaveKonu",
			"std" => "",
			"type" => "checkbox");
			
			$options[] = array( "name" => __('Yan Menü İlave<br/>Kategori Seçimi 5','framework_localize'),
			"desc" => __('Yan menüde yer almasını istediğiniz ekstra bir kategori için seçim yapın','framework_localize'),
			"id" => $ymenu."5",
			"std" => "5",
			"type" => "kategori");
		

			
		
$options[] = array( "name" => __('Anasayfa Reklam Alanı Ayarları','framework_localize'),	"type" => "heading");

			$options[] = array( "name" => __('Page Skin<br/>Reklam Alanı IMG','framework_localize'),
			"desc" => __('Sitenin arka planında kullanabileceğiniz reklam alanı. Bu alana sadece Resim yolunu yazın. Örnek : http://thewp.gen.tr/images/reklam/imgad.jpg<br/>( reklam görseli için örnek çalışma tema/reklam klasörü içerisindedir )','framework_localize'),
			"id" => "pageskinReklam",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Page Skin<br/>Reklam Alanı URL','framework_localize'),
			"desc" => __('Sitenin arka planında kullanabileceğiniz reklam alanı. Bu alana sadece reklamın gideceği adresi yazın. Örnek : http://thewp.gen.tr','framework_localize'),
			"id" => "pageskinReklamurl",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Logo Yanı<br/>Reklam Alanı','framework_localize'),
			"desc" => __('Header da bulunan logo yanı reklam alanı 728x90 önerilen reklam boyutu','framework_localize'),
			"id" => "reklamLogo",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Site Orta<br/>Reklam Alanı','framework_localize'),
			"desc" => __('Sürmanşet ve Sürmanşet Hareketlinin ortasında bulunan 980pxlik bir alana sahip olan reklam','framework_localize'),
			"id" => "980Reklam",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Manşet İçi<br/>Reklam Alanı','framework_localize'),
			"desc" => __('Manşet Haberler Reklam Alanı Max. Genişlik 665px - Max. Yükseklik 330px Olmalıdır ( Boş bırakılırsa reklam alanı görünmez )','framework_localize'),
			"id" => "mansetReklam",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Sol Blok<br/>Reklam Alanı 1','framework_localize'),
			"desc" => __('Anasayfada haberlerin arasında yer alan reklam alanı','framework_localize'),
			"id" => "reklamSol1",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Sol Blok<br/>Reklam Alanı 2','framework_localize'),
			"desc" => __('Anasayfada haberlerin arasında yer alan reklam alanı','framework_localize'),
			"id" => "reklamSol2",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Sol Blok<br/>Reklam Alanı 3','framework_localize'),
			"desc" => __('Anasayfada haberlerin arasında yer alan reklam alanı','framework_localize'),
			"id" => "reklamSol3",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Yan Menü<br/>Reklam Alanı 1','framework_localize'),
			"desc" => __('Sitenin sağ bloğunda yer alan reklam alanı','framework_localize'),
			"id" => "yanmenuReklam1",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Yan Menü<br/>Reklam Alanı 2','framework_localize'),
			"desc" => __('Sitenin sağ bloğunda yer alan reklam alanı','framework_localize'),
			"id" => "yanmenuReklam2",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Yan Menü<br/>Reklam Alanı 3','framework_localize'),
			"desc" => __('Sitenin sağ bloğunda yer alan reklam alanı','framework_localize'),
			"id" => "yanmenuReklam3",
			"std" => "",
			"type" => "textarea");
		
$options[] = array( "name" => __('Diğer Reklam Alanı Ayarları','framework_localize'),	"type" => "heading");

			$options[] = array( "name" => __('Foto ve Video Galeri Kategori ve İçerik Sayfası Reklam Alanı','framework_localize'),
			"desc" => __('Foto ve Video Galeri Kategori ve İçerik Sayfasıda yer alan 980pxlik reklam alanı','framework_localize'),
			"id" => "980Reklam2",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Foto Galeri Sayfası<br/>Reklam Alanı<br/>(Fotoğraf Arası)','framework_localize'),
			"desc" => __('Foto Galeride 3. ve 6. Resimde çıkacan olan reklamdır. ( Boş bırakılırsa reklam alanı görünmez )','framework_localize'),
			"id" => "fotogaleriReklam",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Foto Galeri Sayfası<br/>Sağ Blok Reklam Alanı','framework_localize'),
			"desc" => __('Foto Galeri sayfasında yer alan ve galeri fotoğraflarının yanındaki reklam alanı.<br/>Önerilen Boyut ( 300x600px reklam )','framework_localize'),
			"id" => "fotogaleriSagReklam",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Foto Galeri Sayfası<br/>Sol Blok Reklam Alanı','framework_localize'),
			"desc" => __('Foto Galeri sayfasında yer alan ve galeri fotoğraflarının altındaki reklam alanı','framework_localize'),
			"id" => "fotogaleriSagReklam2",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Video İzleme Sayfası<br/>Reklam Alanı','framework_localize'),
			"desc" => __('Video izleme sayfasında, video playerın yanında yer alan reklam alanı ( Max. 336px genişliğinde )','framework_localize'),
			"id" => "videoSag",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Spor Haberleri Kategori Sayfası Reklam Alanı','framework_localize'),
			"desc" => __('Spor Haberlerinin kategori sayfasında manşetin hemen altında yer alan reklam alanı','framework_localize'),
			"id" => "sporReklam",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Haber Görüntüleme<br/>Sayfası Reklam Alanı 1','framework_localize'),
			"desc" => __('Konu içerisinde sol tarafta yer alan reklam alanı','framework_localize'),
			"id" => "singleReklam1",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Haber Görüntüleme<br/>Sayfası Reklam Alanı 2','framework_localize'),
			"desc" => __('Konu içerisinde sol tarafta MANŞETin üstünde yer alan reklam alanı','framework_localize'),
			"id" => "singleReklam2",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Kule Reklam Alanı<br/>Sol Kısım','framework_localize'),
			"desc" => __('Sitenin Sol tarafında kule reklam alanı','framework_localize'),
			"id" => "kayanReklamSol",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Kule Reklam Alanı<br/>Sağ Kısım','framework_localize'),
			"desc" => __('Sitenin Sağ tarafında kule reklam alanı','framework_localize'),
			"id" => "kayanReklamSag",
			"std" => "",
			"type" => "textarea");
		
$options[] = array( "name" => __('Sosyal Ağ Ayarları','framework_localize'),	"type" => "heading");

			$options[] = array( "name" => __('Facebook Sayfa Adresi','framework_localize'),
			"desc" => __('Facebook sayfa adresinizi yazın<br/>Örnek : https://www.facebook.com/sayfaAdiniz','framework_localize'),
			"id" => "fface",
			"std" => "",
			"type" => "text");

			$options[] = array( "name" => __('Twitter Adresi','framework_localize'),
			"desc" => __('Twitter sayfa adresinizi yazın<br/>Örnek: https://twitter.com/twitterAdiniz','framework_localize'),
			"id" => "ftwitter",
			"std" => "",
			"type" => "text");

			$options[] = array( "name" => __('Google Plus Adresi','framework_localize'),
			"desc" => __('Google sayfa adresinizi yazın<br/>Örnek: https://plus.google.com/sayfaID','framework_localize'),
			"id" => "fgoogle",
			"std" => "",
			"type" => "text");

			$options[] = array( "name" => __('Linkedin Adresi','framework_localize'),
			"desc" => __('Linkedin sayfa adresinizi yazın<br/>Örnek: https://tr.linkedin.com/Adiniz','framework_localize'),
			"id" => "flinkedin",
			"std" => "",
			"type" => "text");

			$options[] = array( "name" => __('Youtube Adresi','framework_localize'),
			"desc" => __('Youtube sayfa adresinizi yazın<br/>Örnek: http://www.youtube.com/channel/kanalAdi','framework_localize'),
			"id" => "fyoutube",
			"std" => "",
			"type" => "text");


$options[] = array( "name" => __('Yazar Ayarları','framework_localize'),	"type" => "heading");
			
			$options[] = array( "name" => __('Sağ Blok Yazarlar Gösterilsin mi?','framework_localize'),
			"desc" => __('Sitenin sağ bloğunda yer alan yazarlar gösterilsin istiyorsanız işaretleyin','framework_localize'),
			"id" => "yazarGostersag",
			"std" => "",
			"type" => "checkbox");

			$options[] = array( "name" => __('Görünmesini istemediğiniz<br/>yazar IDlerini yazın','framework_localize'),
			"desc" => __('Sitenizde göstermek istemediğiniz yazarlarınız IDlerini aralarında virgül olacak şekilde ekleyin. <br/>Örnek : 1,2,3,4,5','framework_localize'),
			"id" => "yazarlarinID",
			"std" => "",
			"type" => "text");


$options[] = array( "name" => __('Mobil Tema Reklam Alanları','framework_localize'),	"type" => "heading");

			
			$options[] = array( "name" => __('Mobil Sitede Anasayfa Piyasalar Gösterilsin mi?','framework_localize'),
			"desc" => __('Mobil Sitenin temasında yer alan ve orta alanda bulunan piyasalar','framework_localize'),
			"id" => "mobilPiyasalar",
			"std" => "",
			"type" => "checkbox");
			
			$options[] = array( "name" => __('Mobil Sitede Anasayfa<br/>Son Dakika Gösterilsin mi?','framework_localize'),
			"desc" => __('Mobil Sitenin temasında yer alan ve orta alanda bulunan son dakika haberler','framework_localize'),
			"id" => "mobilSondakika",
			"std" => "",
			"type" => "checkbox");

			$options[] = array( "name" => __('Mobil Site Anasayfa<br/>Reklam 1','framework_localize'),
			"desc" => __('Mobil Temada Görünecek Reklam 1','framework_localize'),
			"id" => "mobilReklam1",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Mobil Site Anasayfa<br/>Reklam 2','framework_localize'),
			"desc" => __('Mobil Temada Görünecek Reklam 2','framework_localize'),
			"id" => "mobilReklam2",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Mobil Site Anasayfa<br/>Reklam 3','framework_localize'),
			"desc" => __('Mobil Temada Görünecek Reklam 3','framework_localize'),
			"id" => "mobilReklam3",
			"std" => "",
			"type" => "textarea");

			$options[] = array( "name" => __('Mobil Site Foto Galeri<br/>Reklam Alanı','framework_localize'),
			"desc" => __('Mobil Temada Görünecek Foto Galeri Reklam Alanı','framework_localize'),
			"id" => "mobilFotoreklam",
			"std" => "",
			"type" => "textarea");


$options[] = array( "name" => __('Güncelleme & Duyurular','framework_localize'),	"type" => "heading");


			$options[] = array( "name" => __('','framework_localize'),
			"desc" => __('','framework_localize'),
			"id" => "",
			"std" => "",
			"type" => "iframe");













update_option('of_template',$options); 					  
update_option('of_themename',$themename);   
update_option('of_shortname',$shortname);

}
}
?>