<!DOCTYPE html>
<html lang="tr">
<head>
<meta charset="utf-8">
<title><?php wp_title('&laquo;', true, 'right'); ?><?php bloginfo('name'); ?></title>
<link rel="shortcut icon" href="<?php echo $temayolu; ?>/images/favicon.ico" />
<link rel="stylesheet" href="<?php echo $temayolu; ?>/style.css">
<link rel="stylesheet" href="<?php echo $temayolu; ?>/font-awesome.min.css">
<link href='http://fonts.googleapis.com/css?family=Monda:400,700&amp;subset=latin,latin-ext' rel='stylesheet' type='text/css'>
<script src="<?php echo $temayolu; ?>/js/jquery-1.9.1.min.js"></script>
<script src="<?php echo $temayolu; ?>/js/script.js"></script>
<?php wp_head(); ?>

<meta property="og:title" content="<?php the_title(); ?>" />
<meta property="og:url" content="<?php the_permalink(); ?>" />
<meta property="og:image" content="<?php if (has_post_thumbnail()) { $resimyolu = wp_get_attachment_image_src(get_post_thumbnail_id(), 'sliderResim'); echo $resimyolu[0];} ?>" />

<style>
#menuBG {
background: <?php if(get_option('menuRengi')){ echo (stripslashes(get_option('menuRengi')));}else{echo ('#2d2d2d');}?>!important;
border-bottom: 4px solid <?php if(get_option('homeRenk')){ echo (stripslashes(get_option('homeRenk')));}else{echo ('#d50000');}?>!important;
}
.home {
background: <?php if(get_option('homeRenk')){ echo (stripslashes(get_option('homeRenk')));}else{echo ('#d50000');}?>!important;
}

ul.menu li:hover a {
background: <?php if(get_option('hoverRenk')){ echo (stripslashes(get_option('hoverRenk')));}else{echo ('#393939');}?>!important;
}
body {
background: <?php if(get_option('bodyRenk')){ echo (stripslashes(get_option('bodyRenk')));}else{echo ('#cccccc');}?>!important;
}
#siteGenel {
margin: <?php if(get_option('pageskinReklam')){ echo (stripslashes(get_option('40px auto 0px auto')));}else{echo ('0px auto 0px auto');}?>!important;
}
.sagIcerikyazi strong {line-height: 22px!important;}
.cinewp_manset li a{margin: 3px 0 0 5.3px!important;}
</style>
<link rel="shortcut icon" href="/favicon.png" />
</head>
<body>

<?php if(get_option('kayanReklamSol')) { echo '<div id="kayanReklamSol">'; echo stripslashes(get_option('kayanReklamSol')); echo '<br/><a onclick="javascript:document.getElementById(\'kayanReklamSol\').style.display=\'none\'">Reklamı kapat</a>'; echo '</div>'; } else { ?><?php } ?>

<?php if(get_option('kayanReklamSag')) { echo '<div id="kayanReklamSag"> '; echo stripslashes(get_option('kayanReklamSag')); echo '<br/><a onclick="javascript:document.getElementById(\'kayanReklamSag\').style.display=\'none\'">Reklamı kapat</a>'; echo '</div>'; } else { ?><?php } ?>

<div id="siteGenel">

<div style="width: 100%; height: 100px; overflow: hidden; margin: 10px 0px 0px 0px;">
<a href="<?php echo $siteyolu; ?>" title="<?php bloginfo('name'); ?>">
<?php if(get_option('logoUrl')) { ?><a href="<?php echo $siteyolu; ?>" title="<?php bloginfo('name'); ?>"><img style="margin-left: 10px;" src="<?php echo get_option('logoUrl'); ?>" alt="<?php bloginfo('name'); ?>" width="250" height="90"/></a><?php } else { ?><img style="margin-left: 10px;" src="<?php echo $temayolu; ?>/images/logo.png" alt="<?php bloginfo('name'); ?>" width="250" height="90"/>	<?php } ?>
</a>
<?php 
if(get_option('reklamLogo'))
{echo '<div style="float: right; margin-right: 10px;">'.stripslashes(get_option('reklamLogo')).'</div>';}
else
{}
 ?>
</div>

<div class="sil"></div>

<div id="menuBG">
<div class="home">
<a href="<?php echo $siteyolu; ?>" title="<?php bloginfo('name'); ?>"><i class="fa fa-home fa-2x"></i></a>
</div>
<?php if ( function_exists( 'wp_nav_menu' ) ){
wp_nav_menu( array( 'theme_location' => 'header-menu','fallback_cb'=>'header-menu') );
}?>
</div>

<div class="sil"></div>

<div style="width: 100%; height: 40px; overflow: hidden; background: #EFEFEF; margin-bottom: 10px; border-bottom: 2px solid #DFDFDF;">
<?php
$defaults = array(
 'theme_location'  => 'header-menu-ust',
 'menu'            => '',
 'container'       => 'div',
 'container_class' => '',
 'container_id'    => '',
 'menu_class'      => 'ustMenu2',
 'menu_id'         => '',
 'echo'            => true,
 'fallback_cb'     => 'header-menu-ust',
 'before'          => '',
 'after'           => '',
 'link_before'     => '',
 'link_after'      => '',
 'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
 'depth'           => 0,
 'walker'          => ''
);
wp_nav_menu( $defaults );
?>
<form role="search" method="get" id="searchform" class="aramayap cf" action="<?php echo esc_url( home_url( '/' ) ); ?>">
		<input type="text" value="<?php echo get_search_query(); ?>" placeholder="haber ara..." name="s" id="s" />
		<button type="submit"><i style="color: #454545;"class="fa fa-search"></i></button>
</form>
</div>

<div class="sil"></div>
<?php wp_reset_query(); ?>